Loading...
Searching...
No Matches
blackoilnewtonmethod.hpp File Reference

A newton solver which is specific to the black oil model. More...

`#include <opm/common/Exceptions.hpp>`
`#include <opm/models/blackoil/blackoilbioeffectsmodules.hh>`
`#include <opm/models/blackoil/blackoilnewtonmethodparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/nonlinear/newtonmethod.hh>`
`#include <opm/models/utils/signum.hh>`
`#include <algorithm>`
`#include <cmath>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilNewtonMethod< TypeTag >
| A newton solver which is specific to the black oil model. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

A newton solver which is specific to the black oil model.